Bug 1314727 - VMWare Compute Profile Guest OS List missing RHEL7 32/64 though it exists as an entry in vCenter
VMWare Compute Profile Guest OS List missing RHEL7 32/64 though it exists as ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.1.7
x86_64 Linux
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 05:55 EST by Calvin Hartwell
Modified: 2016-08-29 21:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-29 21:02:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Calvin Hartwell 2016-03-04 05:55:23 EST
Description of problem:

The list of Guest OS types for the VMWare compute profiles (small, large, medium) is missing an entry for RHEL 7 32/64. 

You can of course select Other (32-bit) or Other (64-bit) but it is quite embarrassing to see our OS missing from this list. I thought these values were actually pulled from vCenter, but apparently their list is different and actually includes an option for RHEL7 32/64. 

Why is this important? Apparently this is used by vCenter to pre-configure the vmdk before a provision. I assume it has other benefits (searching, reporting) etc. 


Version-Release number of selected component (if applicable):
6.1.7
6.1.X (and lower) 

How reproducible:
- Easy to reproduce
- Requires vCenter with VMWare hosts and Satellite 6  

Steps to Reproduce:
1. Install all products and setup vCenter as a compute resource. 

2. Provision a VM with Satellite, notice that the VM will be marked as Other 32-bit or Other 64-bit OS inside vCenter. 

3. Change this at the compute profile level (there is an OS list option) and save the compute profile. 

4. Reprovision a VM with the compute profile, you should see the new value inside vCenter. 

5. Note that RHEL7 is missing from the OS list. 

Actual results:

VM has Other 32bit/64 bit as its OS type inside vCenter.  

Expected results:

VM should have RHEL7 32/64 bit as its OS type inside vCenter. 

Additional info:

N/A
Comment 2 Bryan Kearney 2016-07-26 15:02:21 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Kenny Tordeurs 2016-08-11 03:50:01 EDT
Hi,

I just tested this on Satellite 6.2.0 and can see the guest OS for RHEL7 32/64bit.
Comment 6 Chris Roberts 2016-08-29 21:02:45 EDT
works in current release closing this out

Note You need to log in before you can comment on or make changes to this bug.